{% include './header.html' %}

<div class="container">
  <div id="welcome"><p>Please type a sentence to be analysed for Legal Entities.</p>
    <p><strong>Example sentence:</strong> <i>Am 7. Maerz 2006 traf sich die saarlaendische Landesregierung unter Vorsitz des Ministerpraesidenten Mueller mit Vertretern der Evangelischen Kirche.</i></p></div>

    <form id="form_user_input" method="get" action="">
      <input id="msg" type="text" class="form-control" name="msg" autofocus="autofocus" placeholder="Text snippet">
      <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>

    <div id="result"></div>
</div>

{% include './footer.html' %}

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var msg = $("#msg").val();

  // clear form field
  $("#msg").val("");

  // clear result div
  $("#result").html("");
  $( "#result" ).append( '<p class="alert alert-warning" style="margin-top: 10px;">It takes about 20 seconds to calculate the result. Thanks for your patience.</strong></p>');

  // Send the data using ajax
  $.ajax({
    url: "https://demo.qurator.ai/pub/srv-ler/process/",
    type: 'GET',
    data: {
        "input": msg
    },
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log(data);
        $("#result").html("");
        $( "#result" ).append( '<p class="alert alert-info" style="margin-top: 10px;"><strong> ' + data.result + '</strong>.</p>');
    }
  });

});

</script>
</body>
</html>
